package com.zzwtec.third.model.basedata.dto;

/**
 * 小区
 * @author luolanfeng
 *
 */
public class CommunityDTO {

	private String id;
	/**
	 * 物业id
	 */
	private String propertyId;
	/**
	 * 位置
	 */
	private String address;
	private Boolean deletec;
	/**
	 * 纬度
	 */
	private Double latitude;
	/**
	 * 经度
	 */
	private Double longitude;
	/**
	 * 名称
	 */
	private String name;
	/**
	 * 上海智能安防小区编码
	 */
	private String smartSecurityCode;
	/**
	 * 备注
	 */
	private String remark;
	/**
	 * 创建时间
	 */
	private Long createTime;
	/**
	 * 更新时间
	 */
	private Long updateTime;


	private String propertyName;
	private String services;

	@Override
	public String toString() {
		return "CommunityDTO [propertyId=" + propertyId + ", id=" + id + ", name=" + name + ", address=" + address
				+ ", longitude=" + longitude + ", latitude=" + latitude+ ", propertyName=" + propertyName
				+ ", deletec=" + deletec + ", remark=" + remark 
				+", createTime=" + createTime 
				+", updateTime=" + updateTime 
				+ "]";
	}
	
	public void setId(String id){		 
		this.id = id;
	}
	
	public String getId(){
		return this.id;
	}
	
	public void setAddress(String address){		 
		this.address = address;
	}
	
	public String getAddress(){
		return this.address;
	}
	
	public void setDeletec(Boolean deletec){
		this.deletec = deletec;
	}
	
	public Boolean isDeletec(){
		return this.deletec;
	}
	
	public void setLatitude(double latitude){
		this.latitude = latitude;
	}
	
	public Double getLatitude(){
		return this.latitude;
	}
	
	public void setLongitude(double longitude){
		this.longitude = longitude;
	}
	
	public Double getLongitude(){
		return this.longitude;
	}
	
	public void setName(String name){		 
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
	
	public void setRemark(String remark){		 
		this.remark = remark;
	}
	
	public String getRemark(){
		return this.remark;
	}

	public String getPropertyId() {
		return propertyId;
	}

	public void setPropertyId(String propertyId) {
		this.propertyId = propertyId;
	}

	public String getPropertyName() {
		return propertyName;
	}

	public void setPropertyName(String propertyName) {
		this.propertyName = propertyName;
	}

	public Long getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Long createTime) {
		this.createTime = createTime;
	}

	public Long getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Long updateTime) {
		this.updateTime = updateTime;
	}

	public Boolean getDeletec() {
		return deletec;
	}

	public String getSmartSecurityCode() {
		return smartSecurityCode;
	}

	public void setSmartSecurityCode(String smartSecurityCode) {
		this.smartSecurityCode = smartSecurityCode;
	}

	public String getServices() {
		return services;
	}

	public void setServices(String services) {
		this.services = services;
	}
}
